### Function

# Gimp brush_is_generated

#### Declaration [src]

    gboolean
    gimp_brush_is_generated (
      const gchar* name
    )

#### Description [src]

Tests if brush is generated.

Returns TRUE if this brush is parametric, FALSE for other types.

Available since: | 2.4

#### Parameters

`name` | `const gchar*`
| The brush name.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `gboolean`
| TRUE if the brush is generated.